using Toybox.WatchUi;
using Toybox.Graphics;

(:glance)
class MyGlanceView extends WatchUi.GlanceView
{
	var width;
	
	//var fontTitle=Graphics.FONT_XTINY;
	//var fontData=Graphics.FONT_TINY;
	
	var fontTitle=Graphics.FONT_GLANCE;
	var fontData=Graphics.FONT_GLANCE_NUMBER;
		
	var fTH;	

    function initialize() {
        GlanceView.initialize();    	         
    }
    
    function onLayout(dc) {
    	width=dc.getWidth();
    	fTH=dc.getFontHeight(fontTitle);
    }
    
    function onUpdate(dc) {
		dc.setColor(Graphics.COLOR_BLACK,Graphics.COLOR_BLACK);
		dc.clear();
		dc.setColor(Graphics.COLOR_ORANGE,Graphics.COLOR_TRANSPARENT);

		dc.drawText(width/2, 0, fontTitle,"title", Graphics.TEXT_JUSTIFY_CENTER);
		dc.drawText(width/2, fTH, fontData,"0123456789", Graphics.TEXT_JUSTIFY_CENTER);
    } 
}

class GlanceSampleView extends WatchUi.View {
	var image;
	var width,height;

    function initialize() {
        View.initialize();
    }

    // Load your resources here
    function onLayout(dc) {
        width=dc.getWidth();
        height=dc.getHeight();
        image=WatchUi.loadResource(Rez.Drawables.id_monkey);
    }

    // Update the view
    function onUpdate(dc) {
		var x=(width-image.getWidth())/2;
		var y=(height-image.getHeight())/2;
        dc.drawBitmap(x, y, image);
        //dc.drawScaledBitmap(x, y, width/2, height/2, image);
    }

    // Called when this View is removed from the screen. Save the
    // state of this View here. This includes freeing resources from
    // memory.
    function onHide() {
    }

}
